| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.ICCTemperatureManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCTemperatureManager:

## Public Member Functions
def | __init__ (self, board=None)
def | GetDeviceTemperature (self)
def | GetDeviceTemperatureThreshold (self)
def | SetDeviceTemperatureThreshold (self, threshold=0)
def | GetBoardOutTemperature (self)
def | GetBoardOutTemperatureThreshold (self)
def | SetBoardOutTemperatureThreshold (self, threshold=0)
def | GetBoardPowTemperature (self)
def | GetBoardPowTemperatureThreshold (self)
def | SetBoardPowTemperatureThreshold (self, threshold=0)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| device_temperature
| device_temp_threshold
| board_out_temperature
| board_out_threshold
| board_pwr_temperature
| board_pwr_threshold

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Device Temperature Readout
    System ID: 0x22

    * | Address | Name                              | Default | Description     | Type  | Access
    * |---------|-----------------------------------|---------|-----------------|-------|-----------
    * | 0x2200  | Actuator temperature              | N/A     | Degrees Celsius | uint8 | read only
    * | 0x2201  | Proxy board temperature           | N/A     | Degrees Celsius | uint8 | read only
    * | 0x2202  | Actuator temperature threshold    | 85      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | uint8 | read write
    * | 0x2203  | Proxy board temperature threshold | 85      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | uint8 | read write
    * | 0x2204  | Actuator temperature readout rate | 0       | Temperature readout rate (after X DA samples, X=0 => stopped) | uint32 | read/write

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.ICCTemperatureManager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetBoardOutTemperature()

def optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardOutTemperature | ( |  | self | ) |

## ◆ GetBoardOutTemperatureThreshold()

def optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardOutTemperatureThreshold | ( |  | self | ) |

## ◆ GetBoardPowTemperature()

def optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardPowTemperature | ( |  | self | ) |

## ◆ GetBoardPowTemperatureThreshold()

def optoICC.registers.icc_registers.ICCTemperatureManager.GetBoardPowTemperatureThreshold | ( |  | self | ) |

## ◆ GetDeviceTemperature()

def optoICC.registers.icc_registers.ICCTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

## ◆ GetDeviceTemperatureThreshold()

def optoICC.registers.icc_registers.ICCTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.ICCTemperatureManager.help | ( |  | ) |
| static

## ◆ SetBoardOutTemperatureThreshold()

def optoICC.registers.icc_registers.ICCTemperatureManager.SetBoardOutTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

## ◆ SetBoardPowTemperatureThreshold()

def optoICC.registers.icc_registers.ICCTemperatureManager.SetBoardPowTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

## ◆ SetDeviceTemperatureThreshold()

def optoICC.registers.icc_registers.ICCTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCTemperatureManager._is_a_system = False
| static protected

## ◆ board_out_temperature

optoICC.registers.icc_registers.ICCTemperatureManager.board_out_temperature

## ◆ board_out_threshold

optoICC.registers.icc_registers.ICCTemperatureManager.board_out_threshold

## ◆ board_pwr_temperature

optoICC.registers.icc_registers.ICCTemperatureManager.board_pwr_temperature

## ◆ board_pwr_threshold

optoICC.registers.icc_registers.ICCTemperatureManager.board_pwr_threshold

## ◆ device_temp_threshold

optoICC.registers.icc_registers.ICCTemperatureManager.device_temp_threshold

## ◆ device_temperature

optoICC.registers.icc_registers.ICCTemperatureManager.device_temperature

## ◆ sys_id

optoICC.registers.icc_registers.ICCTemperatureManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py